<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die();
defined('CHATBROENGINE') || die();

use ChatbroChatbroappCommonCbro_common as CbroCommon;
use ChatbroChatbroappChatsCbro_non_existent_chats as CbroNonExistentChats;
use ChatbroChatbroappExceptionsCbro_chats_not_found as CbroChatsNotFound;
use ChatbroChatbroappInterfacesIcbro_chats_backend as IcbroChatsBackend;

class ChatbroChatbroappBackendsCbro_chats_backend implements IcbroChatsBackend
{
	public $non_existent_chats;
	const chat_list = 'chatbro_chat_list';

	public function __construct()
	{
		$this->non_existent_chats = new CbroNonExistentChats();
	}

	function update_option($name, $value)
	{
		CbroCommon::update_option($name, $value);
	}

	function get()
	{
		$val = CbroCommon::get_option(
			self::chat_list,
			$this->non_existent_chats
		);

		if ($val === $this->non_existent_chats) {
			throw new CbroChatsNotFound(self::chat_list);
		}

		return $val;
	}

	function set($value)
	{
		self::update_option(self::chat_list, $value);
	}

	function postpone_write()
	{
	}

	function flush()
	{
	}

	function del()
	{
		CbroCommon::delete_option(self::chat_list);
	}
}

?>
