<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

 defined('_JEXEC') or die();
 defined('CHATBROENGINE') || die();

use ChatbroChatbroappInterfacesIcbro_permissions_backend as IcbroPermissionsBackend;
use ChatbroChatbroappPermissionsCbro_permissions as CbroPermissions;
use ChatbroChatbroappUsersCbro_user as CbroUser;

class ChatbroChatbroappBackendsCbro_permissions_backend implements
	IcbroPermissionsBackend
{
	function can($capability, $display_to_guests)
	{
		switch ($capability) {
			case CbroPermissions::cap_ban:
				return false;

			case CbroPermissions::cap_delete:
				return false;

			case CbroPermissions::cap_view:
				$logged_in = CbroUser::is_logged_in();

				$can_view = $logged_in
					? $this->check_permission(CbroPermissions::cap_view)
					: false;

				if (
					(!$display_to_guests && !$logged_in) ||
					($logged_in && !$can_view)
				) {
					return false;
				}

				if (!$display_to_guests && !$logged_in) {
					// Don't show the chat to unregistered users
					return false;
				}

				return true;
		}
	}

	function check_permission($permissions)
	{
		// return current_user_can(CbroPermissions::cap_view);
		return true;
	}

	function can_manage_settings()
	{
		return false;
	}
}
